LibreOffice: XRowUpdate Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XRowUpdate Interface Referencepublished

is used to update data which is collected in a row. More...

`import "XRowUpdate.idl";`

Inheritance diagram for XRowUpdate:

## Public Member Functions
void | updateNull ([in]long columnIndex) raises (SQLException)
| gives a nullable column a null value.
void | updateBoolean ([in]long columnIndex, [in]boolean x) raises (SQLException)
| updates a column with a boolean value.
void | updateByte ([in]long columnIndex, [in]byte x) raises (SQLException)
| updates a column with a byte value.
void | updateShort ([in]long columnIndex, [in]short x) raises (SQLException)
| updates a column with a short value.
void | updateInt ([in]long columnIndex, [in]long x) raises (SQLException)
| updates a column with an long value.
void | updateLong ([in]long columnIndex, [in]hyper x) raises (SQLException)
| updates a column with a hyper value.
void | updateFloat ([in]long columnIndex, [in]float x) raises (SQLException)
| updates a column with a float value.
void | updateDouble ([in]long columnIndex, [in]double x) raises (SQLException)
| updates a column with a double value.
void | updateString ([in]long columnIndex, [in]string x) raises (SQLException)
| updates a column with a string value.
void | updateBytes ([in]long columnIndex, [in]sequence< byte > x) raises (SQLException)
| updates a column with a byte array value.
void | updateDate ([in]long columnIndex, [in]com::sun::star::util::Date x) raises (SQLException)
| updates a column with a date value.
void | updateTime ([in]long columnIndex, [in]com::sun::star::util::Time x) raises (SQLException)
| updates a column with a time value.
void | updateTimestamp ([in]long columnIndex, [in]com::sun::star::util::DateTime x) raises (SQLException)
| updates a column with a timestamp value.
void | updateBinaryStream ([in]long columnIndex, [in]com::sun::star::io::XInputStream x, [in]long length) raises (SQLException)
| updates a column with a stream value.
void | updateCharacterStream ([in]long columnIndex, [in]com::sun::star::io::XInputStream x, [in]long length) raises (SQLException)
| updates a column with a stream value.
void | updateObject ([in]long columnIndex, [in]any x) raises (SQLException)
| updates a column with an object value.
void | updateNumericObject ([in]long columnIndex, [in]any x, [in]long scale) raises (SQLException)
| updates a column with an object value.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used to update data which is collected in a row.

Developers Guide
  Database Access - Update

## Member Function Documentation

## ◆ updateBinaryStream()

void updateBinaryStream | ( | [in] long | columnIndex,
|  | [in] com::sun::star::io::XInputStream | x,
|  | [in] long | length )
raises | ( | SQLException ) |  |  |

updates a column with a stream value.

Parameters

  columnIndex | the position of the column
  x | the new column value
  length | how much data should be read out of the stream

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateBoolean()

void updateBoolean | ( | [in] long | columnIndex,
|  | [in] boolean | x )
raises | ( | SQLException ) |  |  |

updates a column with a boolean value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateByte()

void updateByte | ( | [in] long | columnIndex,
|  | [in] byte | x )
raises | ( | SQLException ) |  |  |

updates a column with a byte value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateBytes()

void updateBytes | ( | [in] long | columnIndex,
|  | [in] sequence< byte > | x )
raises | ( | SQLException ) |  |  |

updates a column with a byte array value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateCharacterStream()

void updateCharacterStream | ( | [in] long | columnIndex,
|  | [in] com::sun::star::io::XInputStream | x,
|  | [in] long | length )
raises | ( | SQLException ) |  |  |

updates a column with a stream value.

Parameters

  columnIndex | the position of the column
  x | the new column value
  length | how much data should be read out of the stream

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateDate()

void updateDate | ( | [in] long | columnIndex,
|  | [in] com::sun::star::util::Date | x )
raises | ( | SQLException ) |  |  |

updates a column with a date value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateDouble()

void updateDouble | ( | [in] long | columnIndex,
|  | [in] double | x )
raises | ( | SQLException ) |  |  |

updates a column with a double value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateFloat()

void updateFloat | ( | [in] long | columnIndex,
|  | [in] float | x )
raises | ( | SQLException ) |  |  |

updates a column with a float value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateInt()

void updateInt | ( | [in] long | columnIndex,
|  | [in] long | x )
raises | ( | SQLException ) |  |  |

updates a column with an long value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateLong()

void updateLong | ( | [in] long | columnIndex,
|  | [in] hyper | x )
raises | ( | SQLException ) |  |  |

updates a column with a hyper value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateNull()

void updateNull | ( | [in] long | columnIndex | ) |
raises | ( | SQLException ) |  |  |

gives a nullable column a null value.

Parameters

  columnIndex | the position of the column

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateNumericObject()

void updateNumericObject | ( | [in] long | columnIndex,
|  | [in] any | x,
|  | [in] long | scale )
raises | ( | SQLException ) |  |  |

updates a column with an object value.

Parameters

  columnIndex | the position of the column
  x | the new column value
  scale | defines the scale which should be used to write the numeric value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateObject()

void updateObject | ( | [in] long | columnIndex,
|  | [in] any | x )
raises | ( | SQLException ) |  |  |

updates a column with an object value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateShort()

void updateShort | ( | [in] long | columnIndex,
|  | [in] short | x )
raises | ( | SQLException ) |  |  |

updates a column with a short value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateString()

void updateString | ( | [in] long | columnIndex,
|  | [in] string | x )
raises | ( | SQLException ) |  |  |

updates a column with a string value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateTime()

void updateTime | ( | [in] long | columnIndex,
|  | [in] com::sun::star::util::Time | x )
raises | ( | SQLException ) |  |  |

updates a column with a time value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateTimestamp()

void updateTimestamp | ( | [in] long | columnIndex,
|  | [in] com::sun::star::util::DateTime | x )
raises | ( | SQLException ) |  |  |

updates a column with a timestamp value.

Parameters

  columnIndex | the position of the column
  x | the new column value

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRowUpdate.idl